package it.micegroup.gestioneferie.configurazionepf.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DconfigPaPianiFerieCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1237557078L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdConfigPaPianoFerie;

	private StringFilter codiConfigPaPianoFerie;

	private StringFilter descConfigPaPianoFerie;

	private LongFilter fkAmministrazionePk;

	private LongFilter fkTipoOrganigramma;

	private LocalDateFilter dataUltimaModifica;

	private StringFilter utenteUltimaModifica;

	private StringFilter flagEliminato;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdConfigPaPianoFerie
	 */
	public LongFilter getSequIdConfigPaPianoFerie() {
		return this.sequIdConfigPaPianoFerie;
	}

	/**
	 * @param sequIdConfigPaPianoFerie to set
	 */
	public void setSequIdConfigPaPianoFerie(LongFilter sequIdConfigPaPianoFerie) {
		this.sequIdConfigPaPianoFerie = sequIdConfigPaPianoFerie;
	}

	/**
	 * @return the codiConfigPaPianoFerie
	 */
	public StringFilter getCodiConfigPaPianoFerie() {
		return this.codiConfigPaPianoFerie;
	}

	/**
	 * @param codiConfigPaPianoFerie to set
	 */
	public void setCodiConfigPaPianoFerie(StringFilter codiConfigPaPianoFerie) {
		this.codiConfigPaPianoFerie = codiConfigPaPianoFerie;
	}

	/**
	 * @return the descConfigPaPianoFerie
	 */
	public StringFilter getDescConfigPaPianoFerie() {
		return this.descConfigPaPianoFerie;
	}

	/**
	 * @param descConfigPaPianoFerie to set
	 */
	public void setDescConfigPaPianoFerie(StringFilter descConfigPaPianoFerie) {
		this.descConfigPaPianoFerie = descConfigPaPianoFerie;
	}

	/**
	 * @return the fkAmministrazionePk
	 */
	public LongFilter getFkAmministrazionePk() {
		return this.fkAmministrazionePk;
	}

	/**
	 * @param fkAmministrazionePk to set
	 */
	public void setFkAmministrazionePk(LongFilter fkAmministrazionePk) {
		this.fkAmministrazionePk = fkAmministrazionePk;
	}

	/**
	 * @return the fkTipoOrganigramma
	 */
	public LongFilter getFkTipoOrganigramma() {
		return this.fkTipoOrganigramma;
	}

	/**
	 * @param fkTipoOrganigramma to set
	 */
	public void setFkTipoOrganigramma(LongFilter fkTipoOrganigramma) {
		this.fkTipoOrganigramma = fkTipoOrganigramma;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
